/**
 * This file is part of cs838-dc1
 *
 * cs838-dc1 is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *  
 *  cs838-dc1 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *   
 *   You should have received a copy of the GNU General Public License
 *   along with cs838-dc1.  If not, see <http://www.gnu.org/licenses/>.
 *
 *   Copyright 2010 James Hill
 *   */

#ifndef COMPARE_WIDGET_H
#define COMPARE_WIDGET_H

#include "frame.h"

#include <QWidget>

#include <vector>
using namespace std;

class QHBoxLayout;
class QTabWidget;

class CompareWidget : public QWidget
{
	public:
		CompareWidget(QWidget * parent = 0);
		~CompareWidget();

		void loadFrames(const vector<Frame*> & frames);

	private:
	
		QHBoxLayout * layout;
		QTabWidget * tabs;
		vector<Frame*> frameData;
};

#endif // COMPARE_WIDGET_H
