/**
 * This file is part of cs838-dc1

 * cs838-dc1 is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * cs838-dc1 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with cs838-dc1.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright 2010 James Hill
 */

/**
 * provide a factory function for generating all of the widgets
 */

#include <QString>

#include <map>
#include <vector>
using namespace std;

class Frame;
class DiffWidget;

/**
 * the input is a vector of frames for which each
 * DiffWidget will decide if it can generate itself
 * if it can't, the widget will not be included in
 * the output map
 */
void getDiffWidgets(const vector<Frame *> & frames, map<QString, DiffWidget*> & diffWidgets);
