/**
 * This file is part of cs838-dc1
 *
 * cs838-dc1 is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *  
 *  cs838-dc1 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *   
 *   You should have received a copy of the GNU General Public License
 *   along with cs838-dc1.  If not, see <http://www.gnu.org/licenses/>.
 *
 *   Copyright 2010 James Hill
 *   */

#include "conceptNamer.h"

static bool increment(char & value)
{
	if(value == 'Z')
	{
		value = 'A';
		return true;
	}
	
	value = value + 1;
	return false;
}

void nextName(QString & name)
{
	if(name == "")
		return;

	char val = name[name.size() - 1].toAscii();
	bool carry = true;

	for(unsigned int i = name.size() - 1; i >= 0 && carry; i--)
	{
		carry = increment(val);
		name[i] = val;
		if(static_cast<int>(i) == 0 && carry)
			name = QString("A") + name;
	}
}
